> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Auto-assign phone number to trust profiles based on End User type



## OpenAPI

````yaml post /agency/twilio/auto-assign-to-trust-profiles
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/auto-assign-to-trust-profiles:
    post:
      tags:
        - Twilio
      summary: Auto-assign phone number to trust profiles based on End User type
      operationId: TwilioController_autoAssignPhoneNumberToTrustProfiles
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                phoneNumberSid:
                  type: string
      responses:
        '200':
          description: Auto assignment attempted; returns results and any errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  businessProfile:
                    type: object
                    nullable: true
                  shakenStir:
                    type: object
                    nullable: true
                  voiceIntegrity:
                    type: object
                    nullable: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        error:
                          type: string
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````